# Viewnior - Fast and elegant image viewer

This is Viewnior, an image viewer program. Created to be simple, fast and elegant. Its minimalistic interface provides more screenspace for your images. Among its features are:

  * Fullscreen & Slideshow
  * Rotate, flip, crop, save, delete images
  * Animation support
  * Browse only selected images
  * Navigation window
  * Set image as wallpaper (Gnome 2, Gnome 3, XFCE, MATE, Cinnamon, LXDE, FluxBox, Nitrogen, Puppylinux)
  * EXIF and IPTC metadata
  * Simple interface
  * Configurable mouse actions

Most of the Viewnior's sources handling image viewing are adopted from the GtkImageView library by Björn Lindqvist. The files were cleaned up and modified, so that unused functionalities were removed (GtkImageToolSelector, GtkImageToolPainter, GtkZooms). Prefixes were changed from gtk_ to uni_ for clarity.

## Requirements

This package requires the following modules to be installed: glib, GTK+, gio, shared-mime-info.

You can get these packages from your favorite GNOME FTP mirror or at <http://download.gnome.org/sources> or from other sources where GNOME packages are distributed. shared-mime-info can be downloaded from the freedesktop.org website.

## Installation

Find your distro on the [Downloads page](https://siyanpanayotov.com/project/viewnior/download). Or [install from source](https://siyanpanayotov.com/project/viewnior/download#source-code).

## How to report issues

Please report any issues you find: <https://github.com/hellosiyan/Viewnior/issues>.

## License

This program is released under the terms of the [GNU General Public License](https://opensource.org/licenses/gpl-3.0.html).

object-rotate-left.png, object-rotate-right.png are taken from Elementary icon theme by ~DanRabbit (under GPL). object-flip-horizontal.png, object-flip-vertical.png are taken from Gnome icon theme (under GPL).

*Last Edited - 28 April 2018*
